{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.elevator.main" : {
			"states" : {
				"default": {
					"transitions": [
						{"closed": "query.variant == 0"},
						{"open": "query.variant == 1"}
					]
				},
				"closed": {
					"transitions": [
						{"opening": "query.variant != 0"}
					],
					"blend_transition": 0.05
				},
				"open": {
					"animations" : ["stay_open"],
					"transitions": [
						{"closing": "query.variant != 1"}
					],
					"blend_transition": 0.05
				},
				"closing": {
					"animations" : ["close"],
					"transitions": [
						{"closed": "query.variant != 2"}
					],
					"blend_transition": 0.05
				},
				"opening": {
					"animations" : ["open"],
					"transitions": [
						{
							"open": "query.variant != 3"
						}
					],
					"blend_transition": 0.05
				}
			}
		}
	}
}
